:root {
  --accent1: #64006f;
  --accent2: rgba(101, 0, 112, 0.5);
  --accent1L: hsl(from var(--accent1) h s calc(l + 15));;
}

@font-face {
  font-family: standardFtr;
  src: url('STAN0754.TTF');
}

@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

@keyframes backgroundScroll {
	0% {
		background-position: 0% 0%;
	}
	100% {
		background-position: 100% 50%;
	}
}
/* =========== GLOBALS ============== */

HTML {
  height: 100%;
}


body {
  background-color: rgb(0, 0, 0);
  color: white;
  text-align: center;
  font-family: standardFtr, monospace;
  font-size: large;
  width: 100%;
  height: 100%;
}

.bg-element{
  width: 100vw;
  height: 100vh;
  position: fixed;
}
#bgUnderlay{
  z-index: -1;
}

#bgUnderlay:before {
  content: "";
  position: absolute;
  width: 400%;
  height: 400%;
  top: -150%;
  left: -150%;
  z-index: -1;
  animation: backgroundScroll 220s linear infinite;
  background: url("img/bg-tile.png") 0 0 repeat;
  transform: rotate(45deg);
  clip-path: content-box;

}
#bgOverlay{
  background-image: url("img/gradient-overlay.png");
  background-repeat: no-repeat;
  z-index: -1;
  opacity: 0.6;
  background-blend-mode: revert;
  background-size: cover;
}

footer{
  position: relative;
  bottom: 10px;
}

table {
  width: 80%;
  margin-left: 5vw;
}

td {
  padding: 1em;
  width: 30%
}

h1,h2 {
  color: black;
  /* text-shadow: -1px -1px 0 #000, 1px -1px 0 #000, -1px 1px 0 #000, 1px 1px 0 #000;      padding: 8px; */
  font-size: 1.5em;
  /* -webkit-text-stroke: 1px;
  -webkit-text-stroke-color: black;
  -webkit-text-stroke-width: 0.5px; */
}
h1 {
  letter-spacing: 1px;
  font-size: 2em;
  margin: 2px;
}
h2 {      
  margin: 2px;
  background-color: var(--accent1);
  background: 
    linear-gradient(90deg, rgba(100,0,111,0.77) 0%, rgba(0,212,255,0.47) 100%);   
  padding: 8px;
  color: white;
  border-radius: 16px 16px 0px 0px;
  /* letter-spacing: 40px; */
}

h3{
  color: rgb(83, 126, 195);
}
hr {
  width: 50vw;
  margin-left: 25vw;
  border: 2px dotted #d68400;
}

p {
  color: #ffffff;
  text-align: center;
}

audio, embed {
    position: absolute;
    z-index: -9999;
    display: none;
}

ul {
  text-align: left;
}

li {
  margin: 1em;
}

/* =========== CONTAINER STUFF ============== */
.main-container{
  width: 90vw;
  margin-left: 5vw;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.main-content {
  flex: 1 1 100%;
  width: 100%;
  height: 100%;
  position:relative;
}
.main-content p {
  margin: 1em;
}

/* =========== COMMON ELEMENTS ============== */
.border-block{
  background-color: rgba(0, 0, 0, 0.79);
  color: white !important;
  /* background-image: url('img/txt-bg-lite.png'); */
  background-repeat: repeat;
  padding-bottom: 8px;
  margin-bottom: 8px;
  box-shadow: 10px 10px 3px 2px rgba(0,0,0,0.3);
  border-radius: 16px;
  border: 1px solid black;
  max-width: 1045.43px;
  box-sizing: content-box;
  position: relative;
} 

.ultrawide {
  letter-spacing: 10px
}

.ultra-ultrawide {
  letter-spacing: 60px
}


.bigspace {
  margin-top: 3em;
  margin-bottom: 3em;
}

/* =========== HEADER ============== */

#logo {
  width: 100%;
  margin-top: 8px;
  align-self: center;
  padding-bottom: 0px;
}

/* =========== HEADLINE ============== */

#title-line-container{
  display: flex; 
  width: 100%; 
}
#title-line-container h2, h1{
  padding: 1em;
}
#title-line-container h2{
  /* background-color: var(--accent1) !important; */
}
#title-line-container h1{
  letter-spacing: 8px;
}
#title-line-container #inner-title-line{
  flex: 1 1 80%;
}

#headline-container img{
  flex: 0 1 20%;
  width: 10%;
}
.main-img-container{
  display: flex;
  flex-wrap:nowrap;
  justify-content: space-evenly;
  top: -20px;
  position: relative;
  opacity: 0.8;
  width: 100%;
  left:-16px;
}
.main-img{
  height: 240px;
  width: 26%;
  object-fit: cover;
  display: inline-block;
}
.main-gif{
  height: 240px;
  min-width: 40%;
  object-fit: cover;
}
/* =========== ARTIST ============== */

.social-link {
  color:var(--accent1L) !important;
  text-decoration: underline !important;
 }
.social-link img {
  filter: hue-rotate(-90deg);

 }

.artist-block .social-link {
  font-size: 12px;
}

.artist-block{
  padding: 1em;
  /* background-color: rgb(250, 250, 250); */
  border-bottom: 2px dotted var(--accent1);
  position: relative;
}

.artist-block.last{
  border-bottom: unset;
  padding-bottom: 8px;
}
.artist-block img.irl{
  width: 100%;
  border: 1px solid black;
  
}
.artist-block p {
  padding-top: 16px;
  text-align: left;
}

.artist-block iframe{
  width:96%;
  height: 20px;
  padding: 2%;
  background-color: #222222a6;
  position: absolute;
  bottom: 0px;
  box-sizing: unset;
  /* border-radius: 0px 0px 16px 16px; */

}

.artist-block .headline {
  text-align: left;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}


.artist-block .btn-container {
  top: 11px;
  position: relative;
  text-align: start;
  display: block;
}

.artist-block div.img-section {
  /* border-radius: 16px; */
  display: flex;
  height: 300px;
  position: relative;
  background-size:cover;
  background-position: center;
  top: 16px;
}

.artist-block h3 {
  margin: 0;
  display: inline-block;
  position: relative;
  top: 8px;
  font-size: 14px;
  flex: 1 1 25%;
  padding-right: 8px;
  padding-left: 8px;
}


.artist-block img.sona{
  height: 3em;
  border: 1px solid black;
  border-radius: 16px;
  /* background-color: white; */
  flex: 0 1 16px;

}

.artist-block hr {
  width: 100%;
  margin-left: 0;
  margin-bottom: 2px;
}
.artist-block .genre-tag {
  text-align: end;
  margin-top: 8px;
  color: var(--accent1L);
  flex: 1 1 40%;
}

.artist-block .glyphicon-chevron-down {
  padding-left: 3px;
  position: relative;
  top: 2px;

}

#timeplace iframe {
  width: 100%;
  display: block;
}

#tos-container {
  text-align: left;
  padding: 1em;
}
#tos-container p {
  text-align: left !important;
  font-size: 14px;
}
#tos-container ul {
  font-size: 14px;
}

#tos-container #return {
  font-size: 18px;
  background-color: var(--accent1);
  color:white;
  text-align: center;
  padding: 1em;
  text-decoration: underline;
  display: block;
  
}

/* =========== FOOTER THINGS ============== */

.signoff {
  /*font-size: small;*/
  text-align: right;
}
/* =========== TIMER ============== */

.timer-container{
  display: flex;
  flex-wrap: wrap;
  margin-top: -2px;
}

.timer-container  #boogie { 
  flex: 0 0 100%;
  color: white;
  margin-top: 16px;
}

.timer-panel { 
  display: inline-block;
  flex: 1 1 32px;
  background-color: white;
  color: var(--accent1);
  padding-top: 16px;
  padding-bottom: 16px;
  margin: 2px;
  /* border: 1px solid black; */
}


.timer-panel::after{
  display: block;
  font-size: 14px;
}

#countdownDays::after{ 
  content: 'DAYS';
}

#countdownHours::after{ 
  content: 'HOURS';
}

#countdownMinutes::after{ 
  content: 'MINS';
}

#countdownSeconds::after{ 
  content: 'SECS';
}